Neonode zForce(TM) SDK

- Main Page
- Modules
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Functions
SerialTransport.h File Reference

Serial Transport class. More...

`#include <Transport.h>`
Include dependency graph for SerialTransport.h:

Go to the source code of this file.

## Classes
struct | SerialTransport
| Struct containing the SerialTransport information. More...

## Macros
#define | CONTAINS_TRANSPORT
#define | RECEIVEBUFFERSIZE 128
| Buffer size used when reading.
#define | TRANSPORT_SERIALTRANSPORT_SERIALTRANSPORT_H

## Typedefs
typedef struct SerialTransport | SerialTransport

## Functions
DLLINTERNAL bool | SerialTransport_AddSerialTransportEntry (void)
| Internal call to add a SerialTransport to the list of available transports. More...

## Detailed Description

Serial Transport class.

This module implements the Serial Transport class. Here we find all that is essential for a Serial Transport.

Copyright
  COPYRIGHT NOTICE: (c) 2017 Neonode Technologies AB. All rights reserved.

## Typedef Documentation

typedef struct SerialTransport SerialTransport

See also
  struct SerialTransport

## Function Documentation

DLLINTERNAL bool SerialTransport_AddSerialTransportEntry | ( | void |  | ) |

Internal call to add a SerialTransport to the list of available transports.

This is the method used to add a SerialTransport which can be used for communication.
Upon error the errno variable is set as follows:

- EALREADYADDED - A Transport matching the name and data frame type has already been added.
- EOUTOFMEMORY - The memory used to store Transport details has been exhausted.
- EMUTEXLOCKFAILED - We couldn't lock a mutex we need for an internal critical section. This should not happen.
- EBADMUTEX - We tried to use a mutex internally but it wasn't a valid mutex. This should not happen.
- EPARAMETERSTRINGTOOLONG - The option parameter string is longer than the MaxOptionParameterLength.

Returns
  True if the SerialTransport has been added. Otherwise false which indicates failure and the errno variable should be inspected for the reason why.